Description

The trace data generated by doMatch() is in a structure given in JSON and Go in the page

https://github.com/remiges-tech/crux/wiki/Traversal-trace-structure

This page has been updated today. It needs to be checked to see if the structures are valid, if all data is being reported as expected,
and if the Go data structure can be converted to the JSON by a simple marshalling (specially doubtful about the "pattern" object in L2

trace).

Related issues:
Precedes Crux: BRE/WFE - Task #17951: doMatch() tracing: Level 1
Precedes Crux: BRE/WFE - Task #17952: doMatch() tracing: Level 2

Testing 01/03/2024 12/04/2024
Testing 01/03/2024 01/03/2024

History

#1 - 18/02/2024 11:57 PM - Shuvam Misra
- Precedes Task #17951: doMatch() tracing: Level 1 added

#2 - 18/02/2024 11:58 PM - Shuvam Misra
- Precedes Task #17952: doMatch() tracing: Level 2 added

#4 - 25/02/2024 10:11 PM - Sachin Divekar

- Status changed from New to In Progress

#5 - 27/02/2024 09:56 PM - Sachin Divekar

¢ In TraceDataRule_t, res could be enum instead of string. Updated the wiki to add it:

type ResCode_t int

const (
Match ResCode_t = iota /] "+
Mismatch /7 W=0
ThenCall // "+c"
ElseCall // "-c"
Return /]
Exit ARRSS

e Created ActionSet_t as a separate type to be used for actionset field in TraceDataRuleL2_t instead of anonymous struct:

type ActionSet_t struct {
Tasks [Istring
Properties map([string]string

}

type TraceDataRulelL2_t struct {

pattern []TraceDataRulel2Pattern_t
tasks [Istring

properties map[string]lstring

nextset int

actionset ActionSet_t

e |n TraceDataRulelL2_t updated properties to be slice of map:
properties []map[stringlstring

#6 - 27/02/2024 09:59 PM - Sachin Divekar
- File out.json added

- File main.go added

| have tested JSON marshalling by writing a sample Go program that declares these data structures, creates an instance of trace and then marshals

it. It is working fine. Attaching the program and the output.

#7 - 27/02/2024 10:00 PM - Sachin Divekar
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Files

out.json 2.59 KB 27/02/2024 Sachin Divekar

main.go 3.03 KB 27/02/2024 Sachin Divekar
